% Copyright (C) 2017 Christophe Lecomte (University of Southampton)
% This file is part of the PIPER Framework.
% Version: 1.0.0
% 
% The PIPER Framework is free software: you can redistribute it and/or
% modify it under the terms of the GNU General Public License as published
% by the Free Software Foundation, either version 2 of the License, or (at
% your option) any later version.
% 
% The PIPER Framework is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details. You should have received a copy
% of the GNU General Public License along with the PIPER Framework.
% If not, see <http://www.gnu.org/licenses/>.
% 
% Contributors include Christophe Lecomte (University of Southampton)
% 
% This work has received funding from the European Union Seventh Framework
% Program ([FP7/2007-2013]) under grant agreement 605544 [PIPER project]).
% 
function [LDatasetName]=listDatasetName(dataSeries)
%
% List dataset names of a data series
%
% Currently supported is dataseries = 'CCTc', 'CCTc_male', 'CCTc_female'
% (note that the corresponding list is hard-coded in the current version)
%
% C.Lecomte
% Uni. of Southampton
% Autumn 2015 - Updated Winter 2016
%
if strcmp(dataSeries,'CCTc')
% INFO ON THE DATASET "CCTc662" IS NOT CORRECT (Discussed this with Baptiste):
%                    'Dataset_CEESAR_CTscan_CCTc662_ceesar',...
% missing left rib 08  (CP078)                'Dataset_CEESAR_CTscan_CCTc649_ceesar',...
%                   'Dataset_CEESAR_CTscan_CCTc649_ceesar',...
    LDatasetName={'Dataset_CEESAR_CTscan_CCTc616_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc654_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc617_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc618_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc640_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc645_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc646_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc650_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc652_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc655_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc658_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc660_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc661_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc667_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc670_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc673_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc675_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc677_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc678_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc679_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc680_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc682_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc683_ceesar'};
elseif strcmp(dataSeries,'CCTc_male')
% INFO ON THE DATASET "CCTc662" IS NOT CORRECT (Discussed this with Baptiste):
%                    'Dataset_CEESAR_CTscan_CCTc662_ceesar',...
% missing left rib 08  (CP078)                'Dataset_CEESAR_CTscan_CCTc649_ceesar',...
    LDatasetName={'Dataset_CEESAR_CTscan_CCTc616_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc654_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc617_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc618_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc640_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc645_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc646_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc649_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc650_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc652_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc655_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc658_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc660_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc661_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc667_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc670_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc673_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc675_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc677_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc678_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc679_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc680_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc682_ceesar',...
                  'Dataset_CEESAR_CTscan_CCTc683_ceesar'};
%
elseif strcmp(dataSeries,'CCTc_female')
% INFO ON THE DATASET "CCTc662" IS NOT CORRECT (Discussed this with Baptiste):
%                    'Dataset_CEESAR_CTscan_CCTc662_ceesar',...
% missing left rib 08  (CP078)                'Dataset_CEESAR_CTscan_CCTc649_ceesar',...
    LDatasetName={...
                               };
%
else
    error('Only the ''CCTc'' data series is currently supported...')
end
%
%
%
